package test;

import javax.naming.Context;
import javax.naming.InitialContext;
import org.apache.log4j.Logger;
import org.apache.log4j.Level;

import IS7.hello.HelloWorld;

public class HelloWorldTestClient
{
    public static void main(String[] args)
    {
        try 
        {
            Context ctx = new InitialContext();
            ctx.addToEnvironment(Context.INITIAL_CONTEXT_FACTORY, "org.jnp.interfaces.NamingContextFactory");
            ctx.addToEnvironment(Context.PROVIDER_URL, "localhost:1099");
            ctx.addToEnvironment("java.naming.factory.url.pkgs", "org.jboss.naming:org.jnp.interfaces");
            Logger.getRootLogger().setLevel(Level.OFF);

            // Lookup the bean using its name + "/remote"
            HelloWorld helloWorld = (HelloWorld) ctx.lookup("HelloWorld/remote");
            
            System.out.println("The component says: " + helloWorld.hello());
        } 
        catch (Exception ex) 
        {
            System.err.println("Caught an unexpected exception!");
            ex.printStackTrace();
        }
    }
}